summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activestorage/activestorage-7.1.3.3.ebuild6
-rw-r--r--dev-ruby/bundler/bundler-2.4.22.ebuild4
-rw-r--r--dev-ruby/fast_gettext/Manifest1
-rw-r--r--dev-ruby/fast_gettext/fast_gettext-2.6.0.ebuild54
-rw-r--r--dev-ruby/rubygems/rubygems-3.4.22.ebuild4
5 files changed, 62 insertions, 7 deletions
diff --git a/dev-ruby/activestorage/activestorage-7.1.3.3.ebuild b/dev-ruby/activestorage/activestorage-7.1.3.3.ebuild
index 1fe2751e668b..06e227f4428b 100644
--- a/dev-ruby/activestorage/activestorage-7.1.3.3.ebuild
+++ b/dev-ruby/activestorage/activestorage-7.1.3.3.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_RECIPE_DOC=""
RUBY_FAKEGEM_DOCDIR=""
@@ -42,7 +42,7 @@ ruby_add_bdepend "
test? (
~dev-ruby/railties-${PV}
>=dev-ruby/image_processing-1.2:0
- =dev-ruby/minitest-5.15*:*
+ dev-ruby/minitest:5
dev-ruby/mini_magick
dev-ruby/mocha
dev-ruby/rake
@@ -55,7 +55,7 @@ all_ruby_prepare() {
# test run. This also requires handling some gemspecs.
sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|aws-sdk-sns\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|capybara\|rack-cache\|selenium\|dalli\|listen\|connection_pool\|puma\|mysql2\|webdrivers\|webpacker\|rexml\|webmock\|webrick\|propshaft\|sprockets-export\|rack-test\|terser\|cookiejar\|cgi\|web-console\|trilogy\|error_highlight\|jbuilder\)/ s:^:#:" \
-e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
- -e '/group :\(doc\|job\|lint\|rubocop\|test\)/,/^end/ s:^:#:' \
+ -e '/group :\(doc\|job\|lint\|mdl\|rubocop\|test\)/,/^end/ s:^:#:' \
-e '/sqlite/ s/1.6.4/99/' \
-i ../Gemfile || die
rm ../Gemfile.lock || die
diff --git a/dev-ruby/bundler/bundler-2.4.22.ebuild b/dev-ruby/bundler/bundler-2.4.22.ebuild
index cbaa392ed78b..6d3feef91bb3 100644
--- a/dev-ruby/bundler/bundler-2.4.22.ebuild
+++ b/dev-ruby/bundler/bundler-2.4.22.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -22,7 +22,7 @@ HOMEPAGE="https://github.com/rubygems/rubygems"
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc test"
ruby_add_rdepend virtual/rubygems
diff --git a/dev-ruby/fast_gettext/Manifest b/dev-ruby/fast_gettext/Manifest
index 6588f1bae0e4..71b7c7e8fc78 100644
--- a/dev-ruby/fast_gettext/Manifest
+++ b/dev-ruby/fast_gettext/Manifest
@@ -1,2 +1,3 @@
DIST fast_gettext-2.2.0.tar.gz 93511 BLAKE2B 8f4a8b169533194a82465ca29b4cbf52e9c724b9976355ad64459826ff9ad15da9762c6e90e237fef046fc6a8114abf54e0022eec573abf98a56bd067e7c06dd SHA512 06daacf46e4c8ef272ac2a60f8fad1abbb3eaa2bf5242991e7f32fd87e911917b6baf4965b0cbc96c11d0be0425585d501258d0c1faa065469dea6c3b8c97797
DIST fast_gettext-2.3.0.tar.gz 93620 BLAKE2B 2f4dd0f6ad74df593573ce73ee40da549e506fc6fc7ca9ea17dacaa120cec97c202ba31b1fe32b628006fa1381572858dc314110a76c1ee7a91c049664133ede SHA512 517499785022922e54278ad4427abaabb63fd9d0470398cfca1c1804f3ca4992c01105ea727d152d2b8d1cbab86138a7552dfbbd4b3b3241b5fc1a3298db7dc2
+DIST fast_gettext-2.6.0.tar.gz 94293 BLAKE2B b7b955fa87a010c85a22824a9bc5d6835836219cad13c82f42c16b1102a55b5d33a7386394efd2ba2baa299445d29e444ffcc750733ae51c9defc297a769a06a SHA512 1f0b824a8335572646a8486487e22b9fbe4ee63d0e67985a6b56806afac565610492834d34d5e45dab7908e986cc34ab80261aaea87489898e90b6fbe51a4f0a
diff --git a/dev-ruby/fast_gettext/fast_gettext-2.6.0.ebuild b/dev-ruby/fast_gettext/fast_gettext-2.6.0.ebuild
new file mode 100644
index 000000000000..67479c606646
--- /dev/null
+++ b/dev-ruby/fast_gettext/fast_gettext-2.6.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG Readme.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="fast_gettext.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="GetText but 3.5x faster, 560x less memory, clean namespace and threadsafe!"
+HOMEPAGE="https://github.com/grosser/fast_gettext"
+SRC_URI="https://github.com/grosser/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT BSD-2"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+ruby_add_depend "dev-ruby/prime"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler )"
+
+all_ruby_prepare() {
+ rm Gemfile.lock || die
+
+ sed -i -e '/single/I s:^:#:' spec/spec_helper.rb || die
+ sed -i -e '/SingleCov/ s:^:#:' spec/{*,*/*}/*spec.rb || die
+
+ # Avoid unneeded dependency on git and development dependencies.
+ sed -e '/git ls-files/ s:^:#:' \
+ -e '/\(wwtd\|bump\|sqlite3\|activerecord\|i18n\|single_cov\|forking_test_runner\|rubocop\)/ s:^:#:' \
+ -e 's:require_relative ":require "./:' \
+ -i fast_gettext.gemspec || die
+
+ # Avoid a test dependency on activerecord since this is now in the
+ # dependency tree for app-admin/puppet and many arches don't have
+ # rails keyworded.
+ sed -i -e '/active_record/ s:^:#:' spec/spec_helper.rb || die
+ rm -f spec/fast_gettext/translation_repository/db_spec.rb || die
+ rm -f spec/fast_gettext/storage_spec.rb || die
+ sed -i -e '/with i18n loaded/,/^ end/ s:^:#:' spec/fast_gettext/vendor/string_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Make sure the right ruby interpreter is used
+ sed -i -e "s:bundle exec ruby:bundle exec ${RUBY}:" spec/fast_gettext/vendor/*spec.rb || die
+}
diff --git a/dev-ruby/rubygems/rubygems-3.4.22.ebuild b/dev-ruby/rubygems/rubygems-3.4.22.ebuild
index 781d823d66ce..4856c40d0817 100644
--- a/dev-ruby/rubygems/rubygems-3.4.22.ebuild
+++ b/dev-ruby/rubygems/rubygems-3.4.22.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -13,7 +13,7 @@ LICENSE="|| ( Ruby MIT )"
SRC_URI="https://github.com/rubygems/rubygems/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
SLOT="0"
IUSE="server test"
RESTRICT="!test? ( test )"